const int PAUSE = 1000;
const int SEG_A = A3;
const int SEG_B = A4;
const int SEG_C = 2;
const int SEG_D = 3;
const int SEG_E = 4;
const int SEG_F = 5;
const int SEG_G = 6;
int i;

void setup() {
  pinMode(SEG_A, OUTPUT);
  pinMode(SEG_B, OUTPUT);
  pinMode(SEG_C, OUTPUT);
  pinMode(SEG_D, OUTPUT);
  pinMode(SEG_E, OUTPUT);
  pinMode(SEG_F, OUTPUT);
  pinMode(SEG_G, OUTPUT);
}

void loop() {
  for (i = 0; i < 11; i++) {
    show(i);
    delay(PAUSE);
  }
}

void show(int digit) {
  String data;
  int segment[] = {SEG_A, SEG_B, SEG_C, SEG_D, SEG_E, SEG_F, SEG_G};
  int index;

  for (index = 0; index < 7; index++) {
    digitalWrite(segment[index], HIGH);
  }

  switch (digit) {
    case 0:
      data = "1111110";
      break;
    case 1:
      data = "0110000";
      break;
    case 2:
      data = "1101101";
      break;
    case 3:
      data = "1111001";
      break;
    case 4:
      data = "0110011";
      break;
    case 5:
      data = "1011011";
      break;
    case 6:
      data = "1011111";
      break;
    case 7:
      data = "1110000";
      break;
    case 8:
      data = "1111111";
      break;
    case 9:
      data = "1111011";
      break;
    default:
      data = "0000000";
      break;
  }

  for (index = 0; index < 7; index++) {
    if (data[index] == '1') {
      digitalWrite(segment[index], LOW);
    }
  }
}

